=== debian/control ===
--- 
+++ 
@@ -36,6 +36,8 @@
  automake <!stage1>,
  libtool <!stage1>,
  uuid-dev <!stage1>,
+ dkms <!stage1>,
+ curl <!stage1>,
 Build-Depends-Indep:
  xmlto <!stage1>,
  docbook-utils <!stage1>,
@@ -85,7 +87,7 @@
  /usr/share/doc/linux-doc/00-INDEX for a list of what is
  contained in each file.
 
-Package: linux-headers-4.4.0-184
+Package: linux-headers-4.4.0-190
 Build-Profiles: <!stage1>
 Architecture: all
 Multi-Arch: foreign
@@ -96,7 +98,7 @@
 Description: Header files related to Linux-libre kernel version 4.4.0
  This package provides kernel header files for version 4.4.0, for sites
  that want the latest kernel headers. Please read
- /usr/share/doc/linux-headers-4.4.0-184/debian.README.gz for details
+ /usr/share/doc/linux-headers-4.4.0-190/debian.README.gz for details
 
 Package: linux-libc-dev
 Architecture: i386 amd64 armhf arm64 x32 powerpc ppc64el s390x
@@ -132,18 +134,18 @@
  version locked tools (such as perf and x86_energy_perf_policy) for
  version PGKVER.
 
-Package: linux-tools-4.4.0-184
+Package: linux-tools-4.4.0-190
 Build-Profiles: <!stage1>
 Architecture: i386 amd64 armhf arm64 powerpc ppc64el s390x
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-tools-common
-Description: Linux-libre kernel version specific tools for version 4.4.0-184
+Description: Linux-libre kernel version specific tools for version 4.4.0-190
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 4.4.0-184 on
+ version 4.4.0-190 on
  32 bit x86.
- You probably want to install linux-tools-4.4.0-184-<flavour>.
+ You probably want to install linux-tools-4.4.0-190-<flavour>.
 
 Package: linux-cloud-tools-common
 Build-Profiles: <!stage1>
@@ -165,17 +167,17 @@
  This package provides the architecture independent parts for kernel
  version locked tools for cloud tools for version PGKVER.
 
-Package: linux-cloud-tools-4.4.0-184
+Package: linux-cloud-tools-4.4.0-190
 Build-Profiles: <!stage1>
 Architecture: i386 amd64 armhf
 Section: devel
 Priority: optional
 Depends: ${misc:Depends}, ${shlibs:Depends}, linux-cloud-tools-common
-Description: Linux-libre kernel version specific cloud tools for version 4.4.0-184
+Description: Linux-libre kernel version specific cloud tools for version 4.4.0-190
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud tools for version 4.4.0-184 on
+ version locked tools for cloud tools for version 4.4.0-190 on
  32 bit x86.
- You probably want to install linux-cloud-tools-4.4.0-184-<flavour>.
+ You probably want to install linux-cloud-tools-4.4.0-190-<flavour>.
 
 Package: linux-tools-host
 Build-Profiles: <!stage1>
@@ -188,16 +190,16 @@
  This package provides kernel tools useful for VM hosts.
 
 
-Package: linux-image-4.4.0-184-generic
+Package: linux-image-4.4.0-190-generic
 Build-Profiles: <!stage1>
 Architecture: i386 amd64 armhf arm64 ppc64el s390x
 Section: kernel
 Priority: optional
 Provides: linux-image, fuse-module, kvm-api-4, redhat-cluster-modules, ivtv-modules, virtualbox-guest-modules [i386 amd64 x32]${linux:rprovides}
-Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-4.4.0-184-generic
+Depends: ${misc:Depends}, ${shlibs:Depends}, kmod, linux-base (>= 4.5ubuntu1~16.04.1), linux-modules-4.4.0-190-generic
 Recommends: grub-pc [i386 amd64 x32] | grub-efi-amd64 [amd64 x32] | grub-efi-ia32 [i386 amd64 x32] | grub [i386 amd64 x32] | lilo [i386 amd64 x32] | flash-kernel [armhf arm64] | grub-ieee1275 [ppc64el], initramfs-tools | linux-initramfs-tool
-Conflicts: linux-image-unsigned-4.4.0-184-generic
-Suggests: fdutils, linux-doc-4.4.0 | linux-source-4.4.0, linux-tools, linux-headers-4.4.0-184-generic
+Conflicts: linux-image-unsigned-4.4.0-190-generic
+Suggests: fdutils, linux-doc-4.4.0 | linux-source-4.4.0, linux-tools, linux-headers-4.4.0-190-generic
 Description: Linux-libre kernel image for version 4.4.0 
  This package contains the Linux-libre kernel image for version 4.4.0
  .
@@ -209,7 +211,7 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-4.4.0-184-generic
+Package: linux-modules-4.4.0-190-generic
 Build-Profiles: <!stage1>
 Architecture: i386 amd64 armhf arm64 ppc64el s390x
 Section: kernel
@@ -228,12 +230,12 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-modules-extra-4.4.0-184-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64 armhf arm64 ppc64el s390x
-Section: kernel
-Priority: optional
-Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-184-generic | linux-image-unsigned-4.4.0-184-generic, crda | wireless-crda
+Package: linux-modules-extra-4.4.0-190-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64 armhf arm64 ppc64el s390x
+Section: kernel
+Priority: optional
+Depends: ${misc:Depends}, ${shlibs:Depends}, linux-image-4.4.0-190-generic | linux-image-unsigned-4.4.0-190-generic, crda | wireless-crda
 Description: Linux-libre kernel extra modules for version 4.4.0 
  This package contains the Linux-libre kernel extra modules for version 4.4.0
  .
@@ -249,20 +251,20 @@
  the linux-generic meta-package, which will ensure that upgrades work
  correctly, and that supporting packages are also installed.
 
-Package: linux-headers-4.4.0-184-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-headers-4.4.0-184, ${shlibs:Depends}
+Package: linux-headers-4.4.0-190-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-headers-4.4.0-190, ${shlibs:Depends}
 Provides: linux-headers, linux-headers-3.0
 Description: Linux-libre kernel headers for version 4.4.0 
  This package provides kernel header files for version 4.4.0
  .
  This is for sites that want the latest kernel headers.  Please read
- /usr/share/doc/linux-headers-4.4.0-184/debian.README.gz for details.
-
-Package: linux-image-4.4.0-184-generic-dbgsym
+ /usr/share/doc/linux-headers-4.4.0-190/debian.README.gz for details.
+
+Package: linux-image-4.4.0-190-generic-dbgsym
 Build-Profiles: <!stage1>
 Architecture: i386 amd64 armhf arm64 ppc64el s390x
 Section: devel
@@ -278,27 +280,27 @@
  is uncompressed, and unstripped. This package also includes the
  unstripped modules.
 
-Package: linux-tools-4.4.0-184-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-tools-4.4.0-184
-Description: Linux-libre kernel version specific tools for version 4.4.0-184
+Package: linux-tools-4.4.0-190-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-tools-4.4.0-190
+Description: Linux-libre kernel version specific tools for version 4.4.0-190
  This package provides the architecture dependant parts for kernel
  version locked tools (such as perf and x86_energy_perf_policy) for
- version 4.4.0-184 on
+ version 4.4.0-190 on
  32 bit x86.
 
-Package: linux-cloud-tools-4.4.0-184-generic
-Build-Profiles: <!stage1>
-Architecture: i386 amd64 armhf arm64 ppc64el s390x
-Section: devel
-Priority: optional
-Depends: ${misc:Depends}, linux-cloud-tools-4.4.0-184
-Description: Linux-libre kernel version specific cloud tools for version 4.4.0-184
+Package: linux-cloud-tools-4.4.0-190-generic
+Build-Profiles: <!stage1>
+Architecture: i386 amd64 armhf arm64 ppc64el s390x
+Section: devel
+Priority: optional
+Depends: ${misc:Depends}, linux-cloud-tools-4.4.0-190
+Description: Linux-libre kernel version specific cloud tools for version 4.4.0-190
  This package provides the architecture dependant parts for kernel
- version locked tools for cloud for version 4.4.0-184 on
+ version locked tools for cloud for version 4.4.0-190 on
  32 bit x86.
 
 Package: linux-udebs-generic
@@ -312,7 +314,7 @@
  for easier version and migration tracking.
 
 
-Package: linux-buildinfo-4.4.0-184-generic
+Package: linux-buildinfo-4.4.0-190-generic
 Build-Profiles: <!stage1>
 Architecture: i386 amd64 armhf arm64 ppc64el s390x
 Section: kernel
@@ -325,7 +327,7 @@
  .
  You likely do not want to install this package.
 
-Package: linux-image-4.4.0-184-generic-lpae
+Package: linux-image-4.4.0-190-generic-lpae
 Build-Profiles: <!stage1>
 Architecture: armhf
 Section: kernel
